-- ************************************************************************** **
--                       EskaQuestTracker                                     **
--                  All Rights Reserved - Skamer                              **
-- *****************************************************************************
-- =============================================================================
-- ========================================================================== --
Scorpio                "EskaQuestTracker.Options.Quests"                 "1.0.0"
-- ========================================================================== --
namespace "EQT"
import "System"

function OnLoad(self)
  --[[_DB:SetDefault("Quests", {
    objectives = {
      colors = {
        completed = { r = 0, g = 1, b = 0 },
        inProgress = { r = 148/255, g = 148/255, b = 148 / 255}
      }
    }
  })--]]
end

-- Sort the quest by proximity
-- Filtering
-- Show only the quest in the zone


-- Show level

-- Sorting
--[[
  General
    Show level

    Sorting
      By proximity

    Filtering
      Show only the quests in the zone
      

  Font properties
    - name
    - level

  Rules Activation
    -- Hide when i'm in raid
    -- Hide when i'm in dungeon


--]]



_Categories.Quests = {
  type = "group",
  name = "Quests",
  order = 2,
  childGroups = "tab",
  args = {
  }
}


--[[
_Parent.Category.Quests = {
  type = "group",
  name = "Quests",
  order = 2,
  childGroups = "tab",
  args = {
    general = {
      type = "group",
      name = "General",
      order = 1,
      args = {

      }
    },
    header = {
      type = "group",
      name = "Header",
      order = 2,
      args = {
          textSize = {
            type = "range",
            name = "Text Size",
            order = 1,
            step = 1,
            get = function() return QuestHeader.textSize end,
            set = function(_, value) QuestHeader.textSize = value end,
          },
          textFont = {
            type = "select",
            name = "Text Font",
            values = _Fonts,
            itemControl = "DDI-Font",
            get = function() return GetFontIndex(QuestHeader.textFont) end,
            set = function(_, value) QuestHeader.textFont = _Fonts[value] end,
          },
          textColor = {
            type = "color",
            name = "Text Color",
            get = function()
              local color = QuestHeader.textColor
              return color.r, color.g, color.b
            end,
            set = function(_, r, g, b, a)
              QuestHeader.textColor = {
                r = r, g = g, b = b
              }
            end
          },
          textTransform = {
            type = "select",
            name = "Text Transform",
            values = _TextTransforms,
            get = function() return QuestHeader.textTransform end,
            set = function(_, value) QuestHeader.textTransform = value end,
          }
      }
    },
    objectives = {
      type = "group",
      name = "Objectives",
      order = 3,
      args = {
        fontColor = {
          type = "group",
          name = "Colors",
          inline = true,
          args = {
            completed = {
              type = "color",
              name = "Completed",
              get = function()
                local color = Objective.fontColorCompleted
                return color.r, color.g, color.b
              end,
              set = function(_, r, g, b, a)
                Objective.fontColorCompleted = {
                  r = r, g = g, b = b,
                }
              end
            },
            inProgress = {
              type = "color",
              name = "In progress",
              get = function()
                local color = Objective.fontColorInProgress
                return color.r, color.g, color.b
              end,
              set = function(_, r, g, b, a)
                Objective.fontColorInProgress = {
                  r = r, g = g, b = b,
                }
              end
            },
            exec = {
              type = "execute",
              name = "Callback",
              func = function()
              end,
            }
          }
        }
      }
    },
    visibilityRules = {
      type = "group",
      name = "Visibility Rules",
      args = {
        showOnlyQuestsOnMap = {
          type = "toggle",
          name = "Show only quests on the map"

        }
      }
    }
  }
}--]]
